aboutsummaryrefslogtreecommitdiff
path: root/bin/ak-zchain-chk
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2024-03-01 19:20:34 +0200
committerkaotisk <kaotisk@arching-kaos.org>2024-03-01 19:20:34 +0200
commit7affa2082f61455a413d0c8fea08e79935d4f308 (patch)
tree7efb39304c06b1c6e525a911308622818ef32d3b /bin/ak-zchain-chk
parentcd43e57b999422980ea95df7f1d03117342e358e (diff)
downloadarching-kaos-tools-7affa2082f61455a413d0c8fea08e79935d4f308.tar.gz
arching-kaos-tools-7affa2082f61455a413d0c8fea08e79935d4f308.tar.bz2
arching-kaos-tools-7affa2082f61455a413d0c8fea08e79935d4f308.zip
Spacing adjustment
Diffstat (limited to 'bin/ak-zchain-chk')
-rwxr-xr-xbin/ak-zchain-chk200
1 files changed, 100 insertions, 100 deletions
diff --git a/bin/ak-zchain-chk b/bin/ak-zchain-chk
index e9779f7..6b75405 100755
--- a/bin/ak-zchain-chk
+++ b/bin/ak-zchain-chk
@@ -5,35 +5,35 @@ logit(){
}
fix="0"
usage(){
- echo "zchain-chk - Check and fix zchain"
- echo "---------------------------------"
- echo "Usage:"
- echo " --help, -h Print this help and exit"
- echo " --chain <ipns-link>, -n <ipns-link> Crawl specified chain"
- echo " --fix #TODO Fix your chain"
- echo ""
- echo "Note that combined flags don't work for now"
- echo "Running with no flags crawls your chain"
+ echo "zchain-chk - Check and fix zchain"
+ echo "---------------------------------"
+ echo "Usage:"
+ echo " --help, -h Print this help and exit"
+ echo " --chain <ipns-link>, -n <ipns-link> Crawl specified chain"
+ echo " --fix #TODO Fix your chain"
+ echo ""
+ echo "Note that combined flags don't work for now"
+ echo "Running with no flags crawls your chain"
}
if [ ! -z "$1" ] && [ "$1" == "-h" ] || [ "$1" == "--help" ]
then
- usage
- exit
+ usage
+ exit
elif [ ! -z "$1" ] && [ "$1" == "-f" ] || [ "$1" == "--fix" ]
then
- fix="1"
- entrance="$(cat $AK_ZLATEST)"
+ fix="1"
+ entrance="$(cat $AK_ZLATEST)"
elif [ ! -z "$1" ] && [ "$1" == "-n" ] || [ "$1" == "--chain" ]
then
- entrance="$(ak-ipns-resolve $2)"
+ entrance="$(ak-ipns-resolve $2)"
elif [ ! -z "$1" ]
then
- entrance="$1"
+ entrance="$1"
else
- # By default we ak-enter from the latest block
- # We can alter this by changing this value
- entrance="$(cat $AK_ZLATEST)"
+ # By default we ak-enter from the latest block
+ # We can alter this by changing this value
+ entrance="$(cat $AK_ZLATEST)"
fi
# We assign the IPFS CIDv0 of an empty file as this is used
@@ -55,92 +55,92 @@ counter=0
# We break the loop from inside the loop
while true
do
- if [ $counter == 0 ]
- then
- echo 'Start checking'
- fi
- counter=$(expr $counter + 1)
+ if [ $counter == 0 ]
+ then
+ echo 'Start checking'
+ fi
+ counter=$(expr $counter + 1)
- # Check if $zblock exists as variable
- if [ ! -v $zblock ]
- then
- # Check if it is not our seed cause if it is we skip this part
- if [ "$zblock" != "$seed" ]
- then
- # Reset timestamp since it's introduced later
- timestamp=''
- # Announce to stdout which ZBLOCK is being read at the moment
- ak-logthis "[INFO]" "Examining $zblock"
+ # Check if $zblock exists as variable
+ if [ ! -v $zblock ]
+ then
+ # Check if it is not our seed cause if it is we skip this part
+ if [ "$zblock" != "$seed" ]
+ then
+ # Reset timestamp since it's introduced later
+ timestamp=''
+ # Announce to stdout which ZBLOCK is being read at the moment
+ logit "INFO" "Examining $zblock"
- # We create files named after each ZBLOCK IPFS CID for later
- # reference. Files are empty.
- touch $AK_ZBLOCKDIR/$zblock
- ak-logthis "[INFO]" "Created reference"
+ # We create files named after each ZBLOCK IPFS CID for later
+ # reference. Files are empty.
+ touch $AK_ZBLOCKDIR/$zblock
+ logit "INFO" "Created reference"
- # We concatenate the zblock's contents, pipe them through filter
- # ak-json2bash and output them to tmp-file
- ak-ipfs-cat $zblock | ak-json2bash > tmp-zblock
- ak-logthis "[INFO]" "ZBLOCK $zblock READ"
+ # We concatenate the zblock's contents, pipe them through filter
+ # ak-json2bash and output them to tmp-file
+ ak-ipfs-cat $zblock | ak-json2bash > tmp-zblock
+ logit "INFO" "ZBLOCK $zblock READ"
- # Supposingly you are on a safe environment and you only have
- # access to your chain, I would consider mild secure to source
- # the files into your bash.
- # File an issue/pull request if you think it can be done better!!
- source tmp-zblock
- ak-logthis "[INFO]" "ZBLOCK SOURCED"
+ # Supposingly you are on a safe environment and you only have
+ # access to your chain, I would consider mild secure to source
+ # the files into your bash.
+ # File an issue/pull request if you think it can be done better!!
+ source tmp-zblock
+ logit "INFO" "ZBLOCK SOURCED"
- # Same as above applies to BLOCK and DATA subparts of each ZBLOCK
- # BLOCKS
- ak-ipfs-cat $block | ak-json2bash > tmp-block
- source tmp-block
- ak-logthis "[INFO]" "BLOCK $block SOURCED"
- touch $AK_BLOCKDIR/$block
- ak-logthis "[INFO]" "BLOCK REFERENCED"
- module="$(echo $action | sed -e 's/\// /g' | awk '{ print $1 }')"
- ak-logthis "[INFO]" "DATA is $module module."
- command="$(echo $action | sed -e 's/\// /g' | awk '{ print $2 }')"
- ak-logthis "[INFO]" "COMMAND is $command"
- if [ ! -v $timestamp ]
- then
- echo "$timestamp : $zblock -> $block -> $previous"
- blocks_found[$counter]="$block"
- fi
- touch $AK_DATADIR/$data
+ # Same as above applies to BLOCK and DATA subparts of each ZBLOCK
+ # BLOCKS
+ ak-ipfs-cat $block | ak-json2bash > tmp-block
+ source tmp-block
+ logit "INFO" "BLOCK $block SOURCED"
+ touch $AK_BLOCKDIR/$block
+ logit "INFO" "BLOCK REFERENCED"
+ module="$(echo $action | sed -e 's/\// /g' | awk '{ print $1 }')"
+ logit "INFO" "DATA is $module module."
+ command="$(echo $action | sed -e 's/\// /g' | awk '{ print $2 }')"
+ logit "INFO" "COMMAND is $command"
+ if [ ! -v $timestamp ]
+ then
+ echo "$timestamp : $zblock -> $block -> $previous"
+ blocks_found[$counter]="$block"
+ fi
+ touch $AK_DATADIR/$data
- # Now, since we sourced the BLOCK to our terminal, we can search
- # for $previous variable. In case we don't find one, we exit with
- # code 0
- if [ -v $previous ]
- then
- ak-logthis "[ERROR]" "Block $block has no previous zblock"
- echo "Chain with no genesis"
- if [ "$fix" == "1" ]
- then
- echo "LOL"
- else
- echo "Blocks found and need repacking..."
- for value in ${blocks_found[@]}
- do
- echo $value
- ak-ipfs-cat $value | jq -M
- done
- fi
- exit 0
- # Otherwise, we inform of the sequence
- else
- zblock=$previous
- fi
- # Now check if it is equal to the seed
- # which apparently means we reached the seed.
- elif [ "$zblock" == "$seed" ]
- then
- echo "Chain is OK with GENESIS block = $seed"
- ak-logthis "[INFO]" "Counter $counter"
- exit 0
- fi
- # And finally, if nothing is there exit with error
- else
- ak-logthis "[ERROR]" "Check not passed... No previous IPFS CID"
- exit 1
- fi
+ # Now, since we sourced the BLOCK to our terminal, we can search
+ # for $previous variable. In case we don't find one, we exit with
+ # code 0
+ if [ -v $previous ]
+ then
+ logit "ERROR" "Block $block has no previous zblock"
+ echo "Chain with no genesis"
+ if [ "$fix" == "1" ]
+ then
+ echo "LOL"
+ else
+ echo "Blocks found and need repacking..."
+ for value in ${blocks_found[@]}
+ do
+ echo $value
+ ak-ipfs-cat $value | jq -M
+ done
+ fi
+ exit 0
+ # Otherwise, we inform of the sequence
+ else
+ zblock=$previous
+ fi
+ # Now check if it is equal to the seed
+ # which apparently means we reached the seed.
+ elif [ "$zblock" == "$seed" ]
+ then
+ echo "Chain is OK with GENESIS block = $seed"
+ logit "INFO" "Counter $counter"
+ exit 0
+ fi
+ # And finally, if nothing is there exit with error
+ else
+ logit "ERROR" "Check not passed... No previous IPFS CID"
+ exit 1
+ fi
done